package com.ruoyi.system.domain.vo;

import java.util.List;

//营收模型
public class RevenueForecastVo {
//    年度作业时长
    private String annualWorkingHours;
//    年供电量
    private String annualPowerSupply;
//    平均电价
    private String averageElectricityPrice;
//    年运营成本
    private String annualOperatingCost;
    //营收预测
    private List<YearlyDataVo> yearlyDataVoList;

//    {
//        "annualWorkingHours":"350",
//        "annualPowerSupply":"25555",
//        "averageElectricityPrice":"1.2",
//        "annualOperatingCost":"80000",
//        "yearlyDataVoList":{
//            "yeat":"第一年",
//            "annualIncome":"500",
//            "annualProfit":"700"
//        }
//    }

    public String getAnnualWorkingHours() {
        return annualWorkingHours;
    }

    public void setAnnualWorkingHours(String annualWorkingHours) {
        this.annualWorkingHours = annualWorkingHours;
    }

    public String getAnnualPowerSupply() {
        return annualPowerSupply;
    }

    public void setAnnualPowerSupply(String annualPowerSupply) {
        this.annualPowerSupply = annualPowerSupply;
    }

    public String getAverageElectricityPrice() {
        return averageElectricityPrice;
    }

    public void setAverageElectricityPrice(String averageElectricityPrice) {
        this.averageElectricityPrice = averageElectricityPrice;
    }

    public String getAnnualOperatingCost() {
        return annualOperatingCost;
    }

    public void setAnnualOperatingCost(String annualOperatingCost) {
        this.annualOperatingCost = annualOperatingCost;
    }

    public List<YearlyDataVo> getYearlyDataVoList() {
        return yearlyDataVoList;
    }

    public void setYearlyDataVoList(List<YearlyDataVo> yearlyDataVoList) {
        this.yearlyDataVoList = yearlyDataVoList;
    }
}
